Bullet = {
	x  = 0,
	y  = 0,
	xv = 0,
	yv = 0,
	active = false,
  lifetime = 0
}
Bullet.__index = Bullet
sprite = Graphics.loadImage("app0:/resources/bullet.png")
-- Derived class method new

function Bullet:new (o,x,y,xv,yv,active)
   o = o or {}
   setmetatable(o, Bullet)
   o.__index = self
   o.x = x or 0
   o.y = y or 0
   o.xv = xv or 0
   o.yv = yv or 0
   o.active = active or false
   o.lifetime = 60*1
   return o
end
function Bullet:shoot()
	Sound.play(shoot,NO_LOOP)
end
-- Derived class method printArea
function Bullet:update()
  self.lifetime = self.lifetime - 1
  if(self.lifetime <=0)then
    self.active = false
  end
  if(self.active) then
    self.x = self.x + self.xv
    self.y = self.y + self.yv
  end
end

function Bullet:draw ()
  if(self.active) then
     Graphics.drawImage(self.x,self.y,sprite)
  end
end
