ChessVs = {}

function ChessVs:render()
  if(leftTank.hp>0) then
    if Controls.check(pad, SCE_CTRL_CROSS) and not  Controls.check(oldpad, SCE_CTRL_CROSS) then
      leftTank:shoot()
    end
    if Controls.check(pad, SCE_CTRL_SQUARE) then
      leftTank.gunFacing = leftTank.gunFacing - 0.03
    end
    if Controls.check(pad, SCE_CTRL_CIRCLE) then
      leftTank.gunFacing = leftTank.gunFacing + 0.03
    end
  	joyX, joyY = Controls.readRightAnalog()
  	if(range(joyX-128,joyY-128)>deadzone) then
  		leftTank.gunFacing = math.atan(joyY-128, joyX-128) - math.atan(-1, 0)
      --leftTank.gunFacing = leftTank.gunFacing+((joyX-128)/2000)
  	end
  	joyX, joyY = Controls.readLeftAnalog()
  	if(range(joyX-128,joyY-128)>deadzone)then
  		leftTank.tankFacing = math.atan(joyY-128, joyX-128) - math.atan(-1, 0)
  		leftTank.x = leftTank.x + math.sin(leftTank.tankFacing)*range(joyX-128,joyY-128)/100
  		leftTank.y = leftTank.y - math.cos(leftTank.tankFacing)*range(joyX-128,joyY-128)/100
  	end
		if Controls.check(pad, SCE_CTRL_RTRIGGER) then
			leftTank:shoot()
		end
	end
  if Controls.check(pad, SCE_CTRL_LEFT)  and not Controls.check(oldpad, SCE_CTRL_LEFT)then
    leftTank:newColor()
  end
	if Controls.check(pad, SCE_CTRL_START)  and not Controls.check(oldpad, SCE_CTRL_START) then
    leftTank.y = 262
    leftTank.x = 245
		leftTank.hp = 500
    enemy.x = 700
    enemy.y = 262
    enemy.hp = 1
	end
  if(enemy.hp > 0) then
    if(distance(enemy.x+64,enemy.y+64,leftTank.x+64,leftTank.y+64)<=128)then
      leftTank.hp = leftTank.hp - 2
    end
    if(distance(enemy.x+64,enemy.y+64,leftTank.bullet.x,leftTank.bullet.y)<=128 and leftTank.bullet.active)then
      enemy.hp = enemy.hp - 100
      leftTank.bullet.x = -5000
      Sound.play(explode,NO_LOOP)
    end
  end
	leftTank.bullet:update()



	--Graphics.drawScaleImage(x,y,block,joyX/128,joyY/128,red)
	floor(-9.0,-3.0)
	leftTank:draw()
  if(enemy.hp > 0) then
    Graphics.drawImage(enemy.x,enemy.y,chess)
  else
    Graphics.drawImage(enemy.x,enemy.y,exploded)
  end
  Graphics.drawImage(0,0,overlay)
--	Graphics.debugPrint(5, 5, "Third release c: Defeat the other tank! Press Select to reset Start to reurn to main menu", red)
	Graphics.debugPrint(5, 30, "Enemies Healh "..enemy.hp, red)
end
