SCREEN_WIDTH = 960
SCREEN_HEIGHT = 544
MIDDLEX = SCREEN_WIDTH/2
MIDDLEY = SCREEN_HEIGHT/2
red = Color.new(255,32,32,255)
green = Color.new(32,255,32,255)
white = Color.new(255,255,255,255)
black = Color.new(0,0,0,255)
gray = Color.new(128,128,128,255)
lightgray = Color.new(200,200,200,255)
--returns the distance of these from 0
function range(x,y)
	absx = math.abs(x)
	absy = math.abs(y)
	absx  = (absx*absx)
	absy  = (absy*absy)
	return math.sqrt(absx+absy)
end
--distance between two vectors
function distance(x,y,xx,yy)
	absx = math.abs(x-xx)
	absy = math.abs(y-yy)
	absx  = (absx*absx)
	absy  = (absy*absy)
	return math.sqrt(absx+absy)
end

--gives the rad needed to look at an objects vector (for AI shooting)
function lookAt(x,y,xx,yy)
	return -(math.atan(xx-x, yy-y) - math.atan(0, -1))
end

function lerp(from,to,l)
  return from+(from-to)*l
end

function lerpVector(x,y,xx,yy,l)
  return lerp(x,xx,l),lerp(y,yy,l)
end
