Sound.init()
--globals
button  = Graphics.loadImage("app0:/resources/button.png" )
logo  = Graphics.loadImage("app0:/resources/logo.png" )

require("app0:/globals")
require("app0:/button")
require("app0:/menu")
require("app0:/twoplayergame")
require("app0:/oneplayergame")
require("app0:/chessvs")

require("app0:/bullet")
require("app0:/tank")

tile    = Graphics.loadImage("app0:/resources/floor.png"  )
overlay = Graphics.loadImage("app0:/resources/overlay.png")
winLose = Graphics.loadImage("app0:/resources/wl.png"     )
explode = Sound.openWav("app0:/resources/explode.wav")
impact  = Sound.openWav("app0:/resources/impact.wav" )
shoot   = Sound.openWav("app0:/resources/shoot.wav"  )
blop    = Sound.openWav("app0:/resources/blop.wav"   )

enemy = {
	hp = 500,
	x = 500,
	y = 500,
	xv = 1,
	yv = 1,
	sprite = Graphics.loadImage("app0:/resources/enemy.png")
}


chess    = Graphics.loadImage("app0:/resources/chess.png"  )
exploded = Graphics.loadImage("app0:/resources/explosion.png")


joyX = 1.0
joyY = 1.0

deadzone = 50
spin = 0
--turn them into a proper list so physics and stuff can be made properly
leftTank = Tank:new(nil, 256,256,green)
rightTank = Tank:new(nil,450,300,red)
--leftTank.x = 256
--leftTank.y = 256
--leftTank.color = green
--leftTank.bullet = Bullet:new(nil,-50,-50,0,0,false)

screen = 0

--ready for camera
function floor(camX,camY)
	scale = 0.5
	size = 256*scale
	for x=0,20,1 do
		for y=0,20,1 do
			Graphics.drawScaleImage((x+camX)*size,(y+camY)*size,tile,scale,scale)
		end
	end
end

-- Main loop
while true do
	pad = Controls.read()
	Graphics.initBlend()
	Screen.clear()
	floor(-9.0,-3.0)
	if(screen == 0) then
		Menu.render()
	elseif(screen == 1) then
		OnePlayer:render()
	elseif(screen == 2) then
		TwoPlayer:render()
	elseif(screen == 3) then
		ChessVs:render()
	end
	Graphics.termBlend()
	Screen.flip()

	if Controls.check(pad, SCE_CTRL_SELECT) and not Controls.check(oldpad, SCE_CTRL_SELECT) then
		leftTank.y = 262
		rightTank.y = 262
		leftTank.x = 245
		rightTank.x = 900-200
		leftTank.hp = 500
		rightTank.hp = 500
		screen = 0
		Sound.play(blop,NO_LOOP)
	end
	oldpad = pad
end
